/* ===============================
   トピックス詳細ページ
================================ */
section.topics-archive {
  margin-bottom: 40px;
}

.topics-date-tag {
  display: flex;
  gap: 1em;
}

time.topics-date {
  color: #999;
}

.topics-single .topics-title {
  font-size: 1.8rem;
  font-weight: 700;
  margin-bottom: 1.5rem;
  text-align: center;
}

.topics-single .topics-title .p-single__title_txt {
  padding: 1rem 2rem;
  border-top: 2px solid var(--c-mecha);
  border-bottom: 2px solid var(--c-create);
  display: inline-block;
}

.topics-nav {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  align-items: center;
  margin: 3rem auto;
}

.topics-single .prev {
  text-align: left;
}

.topics-single .archive {
  text-align: center;
}

.topics-single .archive a {
  text-decoration: none;
  font-weight: 500;
  text-align: center;
  background-color: #fff;
  border: 1px solid var(--c-agri);
  padding: .6rem 1rem;
  border-radius: 50vw;
}

.topics-single .archive a:hover {
  font-weight: 700;
  color: #fff;
  background-color: var(--c-agri);
}

.topics-single .next {
  text-align: right;
}

.pagination-wrapper {
  margin: 50px auto;
  display: flex;
  justify-content: center;
}

.pagination {
  background: var(--c-mecha);
  width: fit-content;
  display: flex;
  justify-content: center;
  align-items: center;
  line-height: 1;
  border-radius: 40px;
  padding: 5px 20px;
}

.pagination__list {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
}

.pagination__btn--next,
.pagination__btn--prev,
.pagination__item a,
.pagination__item--current {
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  text-decoration: none;
  text-align: center;
  background: transparent;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  transition: all 0.2s;
  font-family: sans-serif;
  font-weight: bold;
  line-height: 1;
}

.pagination__dots {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  margin: 0 0.2em;
  padding: 0;
}

.pagination__dots .dots {
  color: #fff;
  font-weight: bold;
  display: inline-block;
  line-height: 1;
  position: relative;
  top: -1px;
}

.pagination__item a:hover {
  background: var(--c-create);
}

.pagination__item--current {
  background: var(--c-create);
  color: #FFF;
}

.pagination__btn--prev {
  order: 1;
  margin-right: 10px;
}

.pagination__list {
  order: 2;
}

.pagination__btn--next {
  order: 3;
  margin-left: 10px;
}

.p-topics-layout {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 40px;
}

.p-topics-main {
  flex: 1;
  min-width: 0;
}

.p-topics-sidebar {
  width: 280px;
  flex-shrink: 0;
}

.p-topics-sidebar__section .p-topics-sidebar__title {
  background-color: var(--c-agri);
  padding: .2em 1em;
  border-radius: 50vw;
  color: #fff;
}


.p-topics-sidebar__section ul.p-topics-sidebar__list {
  list-style: none;
}

.p-topics-sidebar__section ul.p-topics-sidebar__list li {
  line-height: 1.8rem;
}

.p-topics-sidebar__section ul.p-topics-sidebar__list li:hover {
  color: var(--c-mecha);
  font-weight: 700;
}

.p-topics-sidebar__list li.is-current a {
  color: var(--c-create);
  font-weight: bold;
  pointer-events: none;
}


.p-topics-sidebar__list li.is-current::before {
  content: "●";
  color: var(--c-create);
  margin-right: 5px;
  font-size: 0.8em;
}

.p-topics-sidebar__section.p-topics-sidebar__section--back {
  text-align: center;
  padding-top: 1em;
}

.p-topics-sidebar__section.p-topics-sidebar__section--back a.p-topics-sidebar__back-btn {
  background-color: #fff;
  border: 2px solid var(--c-agri);
  padding: .4em 1em;
  border-radius: 50vw;
  text-align: center;
}

.p-topics-sidebar__section.p-topics-sidebar__section--back a.p-topics-sidebar__back-btn:hover {
  background-color: var(--c-mecha);
  border-color: var(--c-mecha);
  color: #fff;
}

@media screen and (max-width: 900px) {
  .p-topics-layout {
    flex-direction: column;
    gap: 60px;
  }

  .p-topics-sidebar {
    width: 100%;
    order: 2;
  }
}